Skip to main content
`Ctrl`+`K`

# DMSNESGetFunction

get `SNES` residual evaluation function from a `DMSNES` object

## Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESGetFunction(DM dm, SNESFunctionFn **f, void **ctx)

Not Collective

## Input Parameter

- dm - `DM` to be used with `SNES`

## Output Parameters

- f - residual evaluation function; see `SNESFunctionFn` for calling sequence

- ctx - context for residual evaluation

## Note

`SNESGetFunction()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`.

## See Also

SNES: Nonlinear Solvers, `DMSNES`, `DMSNESSetContext()`, `DMSNESSetFunction()`, `SNESSetFunction()`, `SNESFunctionFn`

## Level

developer

## Location

src/snes/utils/dmsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages